#include <iostream>

using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    long long niz[n];
    for (int i;i<n;i++){
        cin>>niz[i];

    }
    long long s=0;
    for (int i; i<m; i++){
        long long j,k;
        cin>>j>>k;
        long long z=(niz[j-1]+niz[k-1]);
        if (z<0){
            s=s-z;
        }
        else{
            s=s+z;
        }

    }
    cout<<s;


    return 0;
}